[![Build Status](https://travis-ci.com/KiranUofG/UNSflow.jl.svg?branch=master)](https://travis-ci.com/KiranUofG/UnsteadyFlowSolvers.jl)
[![Coverage Status](https://coveralls.io/repos/github/KiranUofG/UnsteadyFlowSolvers.jl/badge.svg?branch=master)](https://coveralls.io/github/KiranUofG/UnsteadyFlowSolvers.jl?branch=master)

This package (abbreviated UNSflow) is a library of low-order solvers for unsteady aerodynamics
and aeroelasticity managed by Dr. Kiran Ramesh at the University of Glasgow. The solvers
are written in Julia, are based on the discrete-vortex method and cater to various
applications.

This project is currently supported by EPSRC grant EP/R008035/1.

[Julia](http://julialang.org) is a new high-level, high-performance dynamic programming
language for technical computing. Julia’s novel features are a
sophisticated compiler, distributed parallel execution, numerical
accuracy, and an extensive mathematical function library. Julia is
fully open-source under the MIT license, and integrates mature,
best-of-breed open source C and Fortran libraries for various
computing algorithms.

### Installing Julia and UNSflow
[Download](http://julialang.org/downloads/) and install the latest stable version of Julia.

At the prompt type, 
```julia
]add UnsteadyFlowSolvers
```
This will install UnsteadyFlowSolvers and dependent packages.

### Getting started
Tutorials demonstrating the code with detailed READMEs are available in the [UNSflowTutorials](https://github.com/KiranUofG/UNSflowTutorials) repository. 

